Page MenuHomePhabricator

LocalisationUpdate doesn't work with .i18n.php shims for new-style .json messages
Closed, ResolvedPublic

Description

Failed to read file: exception 'Exception' with message 'Expected open tag, whitespace, or variable., got T_STRING ('array_map')' in /a/common/php-1.23wmf6/extensions/LocalisationUpdate/QuickArrayReader.php:135
Stack trace:
#0 /a/common/php-1.23wmf6/extensions/LocalisationUpdate/QuickArrayReader.php(119): QuickArrayReader->except(Array, 'open tag, white...')
#1 /a/common/php-1.23wmf6/extensions/LocalisationUpdate/LocalisationUpdate.class.php(528): QuickArrayReader->__construct('<?php $messages...')
#2 /a/common/php-1.23wmf6/extensions/LocalisationUpdate/LocalisationUpdate.class.php(313): LocalisationUpdate::parsePHP('$messages = arr...', 'messages')
#3 /a/common/php-1.23wmf6/extensions/LocalisationUpdate/LocalisationUpdate.class.php(435): LocalisationUpdate::loadFilesToCompare('VisualEditor', '/var/lib/l10nup...', '/a/common/php-1...', false, false)
#4 /a/common/php-1.23wmf6/extensions/LocalisationUpdate/LocalisationUpdate.class.php(153): LocalisationUpdate::compareExtensionFiles('VisualEditor', '/var/lib/l10nup...', '/a/common/php-1...', false)
#5 /a/common/php-1.23wmf6/extensions/LocalisationUpdate/LocalisationUpdate.class.php(113): LocalisationUpdate::updateExtensionMessages('/a/common/php-1...', 'VisualEditor', false, '/var/lib/l10nup...')
#6 /a/common/php-1.23wmf6/extensions/LocalisationUpdate/update.php(34): LocalisationUpdate::updateMessages(Array)
#7 /a/common/multiversion/MWScript.php(97): require_once('/a/common/php-1...')
#8 {main}
Failed to parse /var/lib/l10nupdate/mediawiki/extensions/VisualEditor/VisualEditor.i18n.php


Version: unspecified
Severity: normal

Details

Reference
bz58249

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:37 AM
bzimport set Reference to bz58249.
Anomie created this task.Dec 10 2013, 2:33 AM

Change 100527 had a related patch set uploaded by Jforrester:
Revert "Shim for VisualEditor.i18n.php that reads JSON blobs"

https://gerrit.wikimedia.org/r/100527

Change 100527 merged by jenkins-bot:
Revert "Shim for VisualEditor.i18n.php that reads JSON blobs"

https://gerrit.wikimedia.org/r/100527

(In reply to comment #2)

Change 100527 merged by jenkins-bot:
Revert "Shim for VisualEditor.i18n.php that reads JSON blobs"
https://gerrit.wikimedia.org/r/100527

This has been reintroduced, because despite the scary-looking exception, it didn't actually break LU for anything other than VE.

Is this fixed now?

(In reply to Amir E. Aharoni from comment #6)

Is this fixed now?

I believe it will be fixed by gerrit 119944 when that is merged and deployed.

mxn added a subscriber: mxn.Nov 24 2014, 8:54 PM